#### D.2.8.1 cyclic

Procedure from library `poly.lib` (see poly_lib).

Usage:
  cyclic(n); n integer

Return:
  ideal of cyclic n-roots from 1-st n variables of basering

Example:

    LIB "poly.lib";
    ring r=0,(u,v,w,x,y,z),lp;
    cyclic(nvars(basering));
    ==> _[1]=u+v+w+x+y+z
    ==> _[2]=uv+uz+vw+wx+xy+yz
    ==> _[3]=uvw+uvz+uyz+vwx+wxy+xyz
    ==> _[4]=uvwx+uvwz+uvyz+uxyz+vwxy+wxyz
    ==> _[5]=uvwxy+uvwxz+uvwyz+uvxyz+uwxyz+vwxyz
    ==> _[6]=uvwxyz-1
    homog(cyclic(5),z);
    ==> _[1]=u+v+w+x+y
    ==> _[2]=uv+uy+vw+wx+xy
    ==> _[3]=uvw+uvy+uxy+vwx+wxy
    ==> _[4]=uvwx+uvwy+uvxy+uwxy+vwxy
    ==> _[5]=uvwxy-z5

User manual for Singular version 4-0-3, 2016, generated by texi2html.